﻿/* Initials */
body {
    overflow-x: hidden;
}

.home-Container {
    position: relative;
    width: 100%;
    min-height: 95%;
    display: flex;
    background-color: transparent;
    justify-content: center;
}

.grid {
    display: grid;
    width: 100%;
    justify-content: center;
    grid-template-columns: repeat(100, 1vw);
    grid-template-rows: repeat(60, 1vw);
}

.cell {
    width: 1vw;
    height: 1vw;
    background-color: white;
    border: 1px solid rgba(0, 0, 0, 0.25);
    cursor: pointer;
}

    .cell.alive {
        background-color: black;
    }

.GameButtons {
    position: absolute;
    top: 50vw;
    left: 50%;
    transform: translateX(-50%) translateX(-0.75vw);
    display: flex;
    gap: 1vw;
}

    .GameButtons button {
        background: white;
        border: none;
        border-radius: 5px;
        color: black;
        padding: 0.5rem 1rem;
        font-size: 1vw;
        font-family: CF1;
        cursor: pointer;
        transition: all 0.3s ease;
        box-shadow: 4px 4px 8px rgba(0, 0, 0, 0.2), -4px -4px 8px rgba(255, 255, 255, 0.4);
    }

        .GameButtons button:hover {
            transform: scale(1.1);
            background: cyan;
            box-shadow: 6px 6px 12px rgba(0, 255, 255, 0.3), -6px -6px 12px rgba(0, 255, 255, 0.5);
        }

        .GameButtons button:active {
            transform: scale(1);
            background: black;
            color: white;
            box-shadow: none;
        }
